#include <bits/stdc++.h>
 using namespace std; 
 
void removeNumber(int numbers[], int idx, int &size)
{
	int i;
	for(i = idx; i < size - 1; i++)
		numbers[i] = numbers[i + 1];
	size--;
}

void removeDuplicate(int numbers[], int &size)
{
	int i, j;
	int number;
	for(i = 0; i < size; i++)
	{
		number = numbers[i];
		for(j = i + 1; j < size; j++)
		{
			if(number == numbers[j])
			{
				removeNumber(numbers, j, size); j--;			
			}
		}
	}
}

 main()
 {
 	 int N,K,br_polja=0;
 	 scanf("%d %d",&N,&K);
 	 int A[N],Ar[N];
 	 int staroN=N;
	  	 
 	 for(int i=0;i<N;i++)
 	 	{
 	 		scanf("%d",&A[i]);
 	 		Ar[i]=A[i];
	    }	
		
		removeDuplicate(Ar, N);
		
		int I[N],Iz[N];
 	 	for(int i=0;i<N;i++)
 	 		I[i]=0;
	
		for(int i=0;i<N;i++)
		{
			for(int j=0;j<staroN;j++)
			{
				if(Ar[i]==A[j])
				{
					I[i]++;
				}
			}
		}
		
		int q=0;
		for(int i=0;i<N;i++)
		{
			if(I[i]>=K)
			{
				
				Iz[q]=Ar[i];
				q++;
			}
		}
		printf("%d\n",q);
		for(int i=0;i<q;i++)
		printf("%d ",Iz[i]);	
 }